#include "arm7.h"

enum {
	IPC_NDS, IPC_PASSME, IPC_GBA, IPC_POWEROFF, IPC_SLEEP,
	IPC_NDS_GO, IPC_NDS_STOP, IPC_WRITE_PSETTINGS, 
	IPC_WRITE_RTC, IPC_WRITE_WIFI_0, IPC_WRITE_WIFI_1, 
	IPC_WRITE_WIFI_2, IPC_CAL_TOUCHSCREEN, IPC_SET_TOP_LIGHT,
	IPC_SET_BOTTOM_LIGHT, IPC_CALL_ARM7,
	
#ifdef DS_DUMP_BIOS
	IPC_DUMP_BIOS,
#endif
#ifdef DS_CARD_DUMP
	IPC_DUMPCARD
#endif
} IPC_MSG;

#define IPC_ARM9 (*(vu32*)0x27ff200)	//message from arm9
#define IPC_ARM9_P1 (*(vu32*)0x27ff204) // parameter from arm9
#define IPC_ARM7 (*(vu32*)0x27ff208)	//message from arm7
#define IPC_XKEYS (*(vu32*)0x27ff20C)	//X,Y,touch,hinge

#define IPC_RTC_BASE 0x27ff210
#define IPC_RTC_0 (*(vu8*)(IPC_RTC_BASE+0))
#define IPC_RTC_1 (*(vu8*)(IPC_RTC_BASE+1))
#define IPC_RTC_2 (*(vu8*)(IPC_RTC_BASE+2))
#define IPC_RTC_3 (*(vu8*)(IPC_RTC_BASE+3))
#define IPC_RTC_4 (*(vu8*)(IPC_RTC_BASE+4))
#define IPC_RTC_5 (*(vu8*)(IPC_RTC_BASE+5))
#define IPC_RTC_6 (*(vu8*)(IPC_RTC_BASE+6))
#define IPC_RTC_7 (*(vu8*)(IPC_RTC_BASE+7))
